Team
List Team Members
List team members and pending invitations
GET
/
api
/
v1
/
team
List Team Members
curl --request GET \
--url https://api.sequenzy.com/api/v1/team \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/team"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"members": [
{
"id": "owner",
"kind": "owner",
"userId": "user_owner123",
"role": "owner",
"canManageBilling": true,
"user": {
"id": "user_owner123",
"name": "Jane Founder",
"email": "jane@example.com",
"image": null
},
"status": "joined",
"createdAt": null,
"invitedAt": null,
"expiresAt": null,
"invitedBy": null
},
{
"id": "member_abc123",
"kind": "member",
"userId": "user_abc123",
"role": "admin",
"canManageBilling": false,
"user": {
"id": "user_abc123",
"name": "John Marketer",
"email": "john@example.com",
"image": null
},
"status": "joined",
"createdAt": "2026-05-20T10:00:00.000Z",
"invitedAt": "2026-05-20T10:00:00.000Z",
"expiresAt": null,
"invitedBy": null
},
{
"id": "inv_abc123",
"kind": "invitation",
"userId": null,
"role": "restricted",
"canManageBilling": false,
"user": {
"id": null,
"name": null,
"email": "newhire@example.com",
"image": null
},
"status": "pending",
"createdAt": "2026-06-10T09:00:00.000Z",
"invitedAt": "2026-06-10T09:00:00.000Z",
"expiresAt": "2026-06-17T09:00:00.000Z",
"invitedBy": {
"id": "user_owner123",
"name": "Jane Founder",
"email": "jane@example.com"
}
}
]
}
{
"success": false,
"error": "Unauthorized"
}
{
"success": false,
"error": "You do not have access to this team."
}
{
"success": false,
"error": "Company not found"
}
List everyone with access to the company: the owner, joined team members, and pending or expired invitations. Any team member can call this endpoint.
Request
No parameters.curl "https://api.sequenzy.com/api/v1/team" \
-H "Authorization: Bearer YOUR_API_KEY"
Responses
{
"success": true,
"members": [
{
"id": "owner",
"kind": "owner",
"userId": "user_owner123",
"role": "owner",
"canManageBilling": true,
"user": {
"id": "user_owner123",
"name": "Jane Founder",
"email": "jane@example.com",
"image": null
},
"status": "joined",
"createdAt": null,
"invitedAt": null,
"expiresAt": null,
"invitedBy": null
},
{
"id": "member_abc123",
"kind": "member",
"userId": "user_abc123",
"role": "admin",
"canManageBilling": false,
"user": {
"id": "user_abc123",
"name": "John Marketer",
"email": "john@example.com",
"image": null
},
"status": "joined",
"createdAt": "2026-05-20T10:00:00.000Z",
"invitedAt": "2026-05-20T10:00:00.000Z",
"expiresAt": null,
"invitedBy": null
},
{
"id": "inv_abc123",
"kind": "invitation",
"userId": null,
"role": "restricted",
"canManageBilling": false,
"user": {
"id": null,
"name": null,
"email": "newhire@example.com",
"image": null
},
"status": "pending",
"createdAt": "2026-06-10T09:00:00.000Z",
"invitedAt": "2026-06-10T09:00:00.000Z",
"expiresAt": "2026-06-17T09:00:00.000Z",
"invitedBy": {
"id": "user_owner123",
"name": "Jane Founder",
"email": "jane@example.com"
}
}
]
}
{
"success": false,
"error": "Unauthorized"
}
{
"success": false,
"error": "You do not have access to this team."
}
{
"success": false,
"error": "Company not found"
}
⌘I
List Team Members
